<?php

namespace App\Http\Controllers\PartnerPay;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Core\Auth;
use App\Services\User\VipService;

/**
 * Class VipController
 * @package App\Http\Controllers\PartnerPay
 */
class VipController extends Controller
{
    /**
     * 内测开通超级会员通道
     * @return array
     * @throws \App\Exceptions\AlertException
     */
    public function beSupervip()
    {
        $uid = Auth::auth();
        $vs = new VipService();
        $vs->beSuperVip($uid);
        return array(
            'code' => 200,
            'message' => 'success'
        );
    }

    /**
     * 创建卡片领取超级会员
     * @return array
     * @throws \App\Exceptions\AlertException
     */
    public function sendSuperVipByStorePartner()
    {
        $uid = Auth::auth();
        $vs = new VipService();
        $vs->sendSuperVipByStorePartner($uid);
        return array(
            'code' => 200,
            'message' => 'success'
        );
    }
}
